package com.ruoyi.project.sems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.mapper.TReportHiYlrqMapper;
import com.ruoyi.project.sems.domain.TReportHiYlrq;
import com.ruoyi.project.sems.service.ITReportHiYlrqService;

import javax.annotation.Resource;

/**
 * 压力容器报告历史Service业务层处理
 *
 * @author ruoyi
 * @date 2021-09-02
 */
@Service("tReportHiYlrqService")
public class TReportHiYlrqServiceImpl implements ITReportHiYlrqService
{
    @Resource
    private TReportHiYlrqMapper tReportHiYlrqMapper;

    /**
     * 查询压力容器报告历史
     *
     * @param id 压力容器报告历史ID
     * @return 压力容器报告历史
     */
    @Override
    public TReportHiYlrq selectTReportHiYlrqById(Long id)
    {
        return tReportHiYlrqMapper.selectTReportHiYlrqById(id);
    }

    @Override
    public List<TReportHiYlrq> selectTReportHiYlrqForYear(TReportHiYlrq year) {
        return this.tReportHiYlrqMapper.selectTReportHiYlrqForYear(year);
    }

    /**
     * 查询压力容器报告历史列表
     *
     * @param tReportHiYlrq 压力容器报告历史
     * @return 压力容器报告历史
     */
    @Override
    public List<TReportHiYlrq> selectTReportHiYlrqList(TReportHiYlrq tReportHiYlrq)
    {
        return tReportHiYlrqMapper.selectTReportHiYlrqList(tReportHiYlrq);
    }

    /**
     * 新增压力容器报告历史
     *
     * @param tReportHiYlrq 压力容器报告历史
     * @return 结果
     */
    @Override
    public int insertTReportHiYlrq(TReportHiYlrq tReportHiYlrq)
    {
        return tReportHiYlrqMapper.insertTReportHiYlrq(tReportHiYlrq);
    }

    /**
     * 修改压力容器报告历史
     *
     * @param tReportHiYlrq 压力容器报告历史
     * @return 结果
     */
    @Override
    public int updateTReportHiYlrq(TReportHiYlrq tReportHiYlrq)
    {
        return tReportHiYlrqMapper.updateTReportHiYlrq(tReportHiYlrq);
    }

    /**
     * 批量删除压力容器报告历史
     *
     * @param ids 需要删除的压力容器报告历史ID
     * @return 结果
     */
    @Override
    public int deleteTReportHiYlrqByIds(Long[] ids)
    {
        return tReportHiYlrqMapper.deleteTReportHiYlrqByIds(ids);
    }

    /**
     * 删除压力容器报告历史信息
     *
     * @param id 压力容器报告历史ID
     * @return 结果
     */
    @Override
    public int deleteTReportHiYlrqById(Long id)
    {
        return tReportHiYlrqMapper.deleteTReportHiYlrqById(id);
    }
}
